Package org.pentaho.reporting.libraries.formula.parser

# Class FormulaParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.pentaho.reporting.libraries.formula.parser.ParseException
org.pentaho.reporting.libraries.formula.parser.FormulaParseException

All Implemented Interfaces:
  `Serializable`

public class FormulaParseException extends ParseException
Todo: Document me!

Author:
  : Thomas Morgner
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.pentaho.reporting.libraries.formula.parser.ParseException

`currentToken, expectedTokenSequences, tokenImage`

## Constructor Summary

Constructors
Constructor
Description
`FormulaParseException(String message)`
`FormulaParseException(ParseException pe)`
`FormulaParseException(TokenMgrError error)`
`FormulaParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`

## Method Summary

Modifier and Type
Method
Description
`Token`
`getCurrentTokenVal()`
`TokenMgrError`
`getError()`
`Throwable`
`getParent()`
`ParsePosition`
`getParsePosition()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FormulaParseException

public FormulaParseException(String message)

### FormulaParseException

public FormulaParseException(ParseException pe)

### FormulaParseException

public FormulaParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)

### FormulaParseException

public FormulaParseException(TokenMgrError error)

## Method Details

### getCurrentTokenVal

public Token getCurrentTokenVal()

### getParent

public Throwable getParent()

### getError

public TokenMgrError getError()

### getParsePosition

public ParsePosition getParsePosition()